@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/variable/pretendardvariable-gov.min.css");

html {
  font-size: 62.5%;
}

:root {
  --page-width: 122.7rem;
  --radius-32: 3.2rem;
  --radius-30: 3rem;
  --radius-20: 2rem;
  --radius-circle: 999.9rem;
  --text-222: #222;
  --text-111: #111;
  --text-191: #191919;
  --text-1e: #1e2124;
  --text-464: #464c53;
  --border-eb: #ebebeb;
  --border-ddd: #ddd;
  --border-cdd: #cdd1d5;
  --divider-gray-dark: #6d7882;
  --surface-white: #fff;
  --surface-gray-subtler: #f4f5f6;
  --surface-ebf3fd: #ebf3fd;
  --surface-hero-overlay: rgba(217, 234, 255, 0.85);
  --surface-hero-icon: rgba(255, 255, 255, 0.77);
  --border-hero-icon: rgba(255, 255, 255, 0.95);
  --resource-blue: #89c5ff;
  --resource-cyan: #81d9d8;
  --resource-mint: #aaeddb;
  --highlight-soft: #faffd7;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

img {
  display: block;
  max-width: 100%;
}

a {
  color: inherit;
  text-decoration: none;
}

button {
  font: inherit;
  color: inherit;
  border: 0;
  background: transparent;
  cursor: pointer;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font: inherit;
}

body {
  background: var(--surface-white);
  color: var(--text-222);
  font-family:
    "Pretendard GOV Variable",
    "Pretendard GOV",
    "Pretendard",
    system-ui,
    -apple-system,
    "Segoe UI",
    Roboto,
    Arial,
    sans-serif;
}

.container {
  width: min(var(--page-width), calc(100vw - 4rem));
  margin: 0 auto;
  @media (width < 1227px) {
    width: 100%;
  }
  @media (width < 924px) {
    width: calc(100vw - 4.2rem);
  }
  @media (width < 768px) {
    width: calc(100vw - 3.2rem);
  }
}

.header {
  position: relative;
  width: 100%;
  background: var(--surface-white);

  .inner {
    height: 8.5rem;
    position: relative;
    align-content: center;
    @media (width < 924px) {
      height: 9.9rem;
    }
    @media (width < 768px) {
      height: 5rem;
    }
  }

  .logo {
    position: absolute;
    left: 0;
    top: 50%;
    translate: 0 -50%;
    width: 15.2rem;
    height: 4rem;
    object-fit: contain;
    @media (width < 768px) {
      width: auto;
      height: 2rem;
    }
  }

  .btn-menu {
    display: none;
    position: absolute;
    right: 1.2rem;
    top: 50%;
    translate: 0 -50%;

    @media (width < 924px) {
      display: block;
    }
    @media (width < 768px) {
      img {
        width: 1.6rem;
      }
    }
  }
}
.logo-text {
  text-align: center;
  font-size: 3.3rem;
  line-height: 1;
  letter-spacing: -0.165rem;
  font-weight: 700;
  white-space: nowrap;
  @media (width < 768px) {
    font-size: 1.65rem;
  }
  .accent {
    color: #7797cf;
    font-weight: 700;
  }

  .text {
    color: var(--text-222);
    font-weight: 700;
  }
}

.nav {
  width: 100%;
  background: var(--surface-white);
  @media (width < 924px) {
    display: none;
  }

  .inner {
    height: 5.6rem;
    display: flex;
    align-items: stretch;
    justify-content: center;
    border-left: 0.1rem solid var(--border-eb);
    border-right: 0.1rem solid var(--border-eb);
    border-top: 0.1rem solid var(--border-eb);
  }
  li {
    flex: 1 0 0;
    display: flex;
    align-items: center;
    justify-content: center;
    + li {
      border-left: 0.1rem solid var(--border-eb);
    }
  }
  a {
    display: block;
    width: 100%;
    text-align: center;
    height: 100%;
    align-content: center;
    font-size: 1.7rem;
    font-weight: 700;
    letter-spacing: -0.085rem;
  }
}

.main {
  width: 100%;
  padding-bottom: 2.4rem;

  .inner {
    display: flex;
    flex-direction: column;
    gap: 2rem;
  }
}

.hero {
  position: relative;
  height: 36rem;
  background: url(/kor/img/kps/new/visual.png) no-repeat center var(--surface-white);
  border-radius: var(--radius-32);
  overflow: hidden;
  display: flex;
  align-items: end;
  justify-content: center;
  @media (width < 924px) {
    height: 41.6rem;
    background-size: cover;
  }
  @media (width < 768px) {
    height: 20.8rem;
    border-radius: var(--radius-20);
  }

  .signature {
    position: absolute;
    left: 50%;
    width: initial;
    top: 7.2rem;
    translate: -50% 0;
    @media (width < 768px) {
      top: 3.2rem;
      height: 2rem;
      width: initial;
    }
  }

  .overlay {
    background: var(--surface-hero-overlay);
    border-top-left-radius: var(--radius-32);
    border-top-right-radius: var(--radius-32);
    width: 110.1rem;
    margin: 0 30px;
    padding: 4.65rem 3.2rem 4rem 6.8rem;
    display: grid;
    align-items: start;
    grid-template-columns: 27rem 1fr 1fr;
    gap: 2rem;
    @media (width < 1227px) {
      width: calc(100% - 12.7rem);
      padding: 4.65rem 3.2rem 4rem 5.2rem;
      grid-template-columns: 1fr 1fr 1fr;
    }
    @media (width < 924px) {
      width: calc(100% - 11rem);
      grid-template-columns: 1fr 1fr;
      padding: 3.6rem 1.6rem 3.7rem;
      gap: 5.3rem 1.6rem;
      text-align: center;
    }
    @media (width < 768px) {
      padding: 2.25rem 0.4rem 1.6rem;
      width: calc(100% - 3.2rem);
      gap: 2.65rem 1.2rem;
      margin: 0;
    }

    .intro {
      display: flex;
      flex-direction: column;
      gap: 0.8rem;
    }
    > a {
      display: grid;
      grid-template-columns: min-content 1fr;
      grid-template-rows: min-content 1fr;
      gap: 2rem 2.4rem;
      @media (width < 924px) {
        gap: 0.8rem;
      }
      &:not(:has(img)) {
        grid-template-columns: 1fr;
        padding-right: 7.4rem;
        .text {
          br {
            display: none;
          }
        }
        @media (width < 1227px) {
          padding-right: 0;
        }
        @media (width < 924px) {
          text-align: left;
          grid-column: 1/-1;
          grid-template-columns: min-content 1fr;
          gap: 0 3.2rem;
          .title {
            white-space: nowrap;
            padding-left: 2rem;
          }
          .text {
            br {
              display: block;
            }
          }
        }
        @media (width < 768px) {
          gap: 0 1.6rem;
          .title {
            font-size: 1.6rem;
          }
        }
      }
    }
  }

  .title {
    font-size: 2.0rem;
    font-weight: 700;
    letter-spacing: -0.12rem;
    line-height: 1;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    @media (width < 924px) {
      font-weight: 600;
      font-size: 2.8rem;
      text-align: left;
    }
    @media (width < 768px) {
      font-weight: 700;
      font-size: 1.3rem;
    }
  }

  .text {
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.3;
    letter-spacing: -0.08rem;
    display: -webkit-box;
    /* -webkit-line-clamp: 2; */
    /* -webkit-box-orient: vertical; */
    overflow: hidden;
    @media (width < 924px) {
      font-size: 1.7rem;
      text-align: left;
    }
    @media (width < 768px) {
      font-size: 1rem;
    }
  }
  .icon {
    grid-column: 1/2;
    grid-row: 1/3;
    width: 8.4rem;
    height: 8.4rem;
    border-radius: 4rem;
    @media (width < 924px) {
      width: 8rem;
      height: 8rem;
    }
    @media (width < 768px) {
      width: 4rem;
      height: 4rem;
    }
  }

  .copy {
    width: 20.5rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
  }

  .copy .title {
    font-size: 2rem;
    font-weight: 700;
    letter-spacing: -0.1rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .copy .text {
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.3;
    letter-spacing: -0.08rem;
  }
}

.resources {
  display: grid;
  gap: 2rem;
  @media (width < 768px) {
    gap: 1.2rem;
  }

  .row {
    height: 16.6rem;
    border-radius: var(--radius-32);
    border: 0.15rem solid var(--resource-blue);
    background: url(/kor/img/kps/new/bg_resources1.svg) no-repeat 0 0 / contain
      var(--surface-white);
    display: grid;
    grid-template-columns: 31rem minmax(0,1fr);
    gap: 2rem;
    @media (width < 924px) {
      grid-template-columns: 40rem 1fr;
      gap: 3.4rem;
      height: 20rem;
    }
    @media (width < 768px) {
      grid-template-columns: 20rem 1fr;
      height: 10rem;
      gap: 1.5rem;
      border-radius: var(--radius-20);
    }

    .panel {
      border-radius: var(--radius-30);
      padding: 3.2rem 6rem 3.6rem 2.8rem;
      display: flex;
      height: 100%;
      gap: 2rem;
      align-items: flex-start;
      @media (width < 924px) {
        padding: 4.4rem 10rem 0 3.2rem;
      }
      @media (width < 768px) {
        padding: 2.2rem 3rem 2.2rem 1.6rem;
        border-radius: 1.6rem;
      }
    }

    &.visit {
      border-color: var(--resource-cyan);
      background: url(/kor/img/kps/new/bg_resources2.svg) no-repeat 0 0 / contain;

      .panel {
      }
    }

    &.news {
      border-color: var(--resource-mint);
      background: url(/kor/img/kps/new/bg_resources3.svg) no-repeat 0 0 / contain;

      .panel {
      }
    }
  }

  .feature {
    position: relative;
    width: 31rem;
    @media (width < 924px) {
      width: 100%;
    }
  }

  .icon {
    img {
      width: 3.2rem;
      height: auto;
      @media (width < 924px) {
        width: 4.3rem;
      }
      @media (width < 768px) {
        width: 2.1rem;
      }
    }
  }

  .copy {
    display: flex;
    flex-direction: column;
    gap: 0.9rem;
  }

  .copy .title {
    font-size: 2.1rem;
    font-weight: 700;
    letter-spacing: -0.105rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    @media (width < 924px) {
      font-size: 2.4rem;
    }
    @media (width < 768px) {
      font-size: 1.4rem;
    }
  }

  .copy .text {
    font-size: 1.7rem;
    font-weight: 400;
    line-height: 1.3;
    letter-spacing: -0.085rem;
    @media (width < 924px) {
      font-size: 2.4rem;
      line-height: 130%;
      letter-spacing: -0.12rem;
    }
    @media (width < 768px) {
      font-size: 1.2rem;
    }
  }

  .more {
    display: flex;
    position: absolute;
    right: -2rem;
    bottom: 2.4rem;
    @media (width < 924px) {
      right: 0;
      bottom: 0;
    }
  }

  .more .text {
    font-size: 1.4rem;
    font-weight: 800;
    letter-spacing: -0.07rem;
    padding-right: 0.3rem;
    @media (width < 924px) {
      display: none;
    }
  }

  .arrow {
    font-size: 2.4rem;
    font-weight: 400;
    margin-top: -0.6rem;
    letter-spacing: -0.12rem;
    @media (width < 924px) {
      font-size: 3.8rem;
      margin-top: 0;
      padding-right: 3rem;
      padding-bottom: 2rem;
    }
    @media (width < 768px) {
      font-size: 1.9rem;
      padding-right: 1.5rem;
      padding-bottom: 1.7rem;
    }
  }

  .list {
    display: flex;
    gap: 1rem;
    align-items: center;
    padding-left: 1.6rem;
    @media (width < 924px) {
      flex-direction: column;
      align-items: start;
      padding-left: 0;
      padding-right: 2rem;
      padding-block: 1.6rem;
      gap: 3.4rem;
    }
    @media (width < 768px) {
      gap: 1.7rem;
      padding: 0.8rem 0.8rem 0.8rem 0;
    }
  }

  .card {
    flex: 1;
    display: grid;
    grid-template-columns: 10rem 1fr;
    gap: 1rem;
    align-items: center;
    @media (width < 1227px) {
      &:last-child {
        display: none;
      }
    }
    @media (width < 924px) {
      grid-template-columns: 6.4rem 1fr;
      flex: none;
    }
    @media (width < 768px) {
      grid-template-columns: 3.2rem 1fr;
      gap: 0.8rem;
    }
    .title {
      /* padding-top: 1.35rem; */
      font-size: 1.5rem;
      font-weight: 600;
      letter-spacing: -0.075rem;
      line-height: 1.4;
      color: var(--text-111);
      overflow: hidden;
      /* word-break: keep-all; */
      width: 10rem;
      @media (width < 924px) {
        width: 100%;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
        padding-top: 0;
        line-height: 1.5;
        font-size: 2rem;
        word-break: normal;
      }
      @media (width < 768px) {
        font-size: 1rem;
      }
    }
  }

  .image {
    width: 10rem;
    height: 10rem;
    border-radius: 1.2rem;
    overflow: hidden;
    @media (width < 924px) {
      width: 6.4rem;
      height: 6.4rem;
    }
    @media (width < 768px) {
      width: 3.2rem;
      height: 3.2rem;
      border-radius: 0.6rem;
    }
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}

.institutions {
  background: var(--surface-ebf3fd);
  border-radius: var(--radius-32);
  overflow: hidden;
  padding: 2rem 4.4rem;
  @media (width < 924px) {
    padding: 2.4 2rem;
  }
  @media (width < 768px) {
    border-radius: var(--radius-20);
    padding: 1rem;
  }
  .head {
    height: 12.4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4rem;
    @media (width < 768px) {
      gap: 1rem;
      height: auto;
      padding: 0.8rem;
    }
  }

  .title {
    font-size: 2.4rem;
    font-weight: 700;
    letter-spacing: -0.12rem;
    text-align: center;
    @media (width < 924px) {
      font-size: 2.8rem;
    }
    @media (width < 768px) {
      font-size: 1.5rem;
      font-weight: 600;
    }
  }

  .check {
    background: var(--highlight-soft);
    border-radius: var(--radius-32);
    padding: 2.2rem 3.8rem;
    font-size: 1.7rem;
    font-weight: 800;
    letter-spacing: -0.085rem;
    color: var(--text-222);
    @media (width < 924px) {
      padding: 2rem 4rem;
      font-size: 2.1rem;
      font-weight: 600;
    }
    @media (width < 768px) {
      padding: 1rem 2rem;
      font-size: 1rem;
    }
  }

  .showcase {
    background: var(--surface-white);
    border-radius: var(--radius-32);
    height: 12rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1.6rem;
    @media (width < 924px) {
      padding: 1.6rem 3.6rem;
      height: auto;
    }
    @media (width < 768px) {
      border-radius: var(--radius-20);
      padding: 0.8rem;
    }
  }

  .institution-grid {
    width: 100%;

    .swiper-wrapper {
      align-items: center;
    }

    .swiper-slide {
      height: auto;
    }
  }

  .tile > a {
    display: grid;
    grid-template-columns: 4.8rem 1fr;
    gap: 0.8rem 1.6rem;
    min-width: 0;
    @media (width < 924px) {
      grid-template-columns: 1fr;
      gap: 0.8rem;
    }
    @media (width < 768px) {
      gap: 0.4rem;
    }
  }

  .icon {
    grid-column: 1/2;
    grid-row: 1/3;
    width: 4.8rem;
    height: 4.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    @media (width < 924px) {
      justify-self: center;
      width: 5.6em;
      height: 5.6em;
    }
    @media (width < 768px) {
      width: 2.8em;
      height: 2.8em;
    }

    img {
      width: 4.8rem;
      height: 4.8rem;
      object-fit: contain;
      mix-blend-mode: multiply;
      @media (width < 924px) {
        width: 5.6em;
        height: 5.6em;
      }
      @media (width < 768px) {
        width: 2.8em;
        height: 2.8em;
      }
    }
  }

  .name {
    font-size: 1.7rem;
    font-weight: 600;
    letter-spacing: -0.085rem;
    text-align: center;
    color: var(--text-222);
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    @media (width < 924px) {
      font-size: 1.9rem;
    }
    @media (width < 768px) {
      font-size: 1.2rem;
    }
  }

  .desc {
    font-size: 1.3rem;
    font-weight: 400;
    letter-spacing: -0.065rem;
    text-align: center;
    color: var(--text-111);
    line-height: 1.2;
    display: -webkit-box;
    /* -webkit-line-clamp: 1; */
    -webkit-box-orient: vertical;
    overflow: hidden;
    @media (width < 1024px) {
      font-size: 1.5rem;
    }
    @media (width < 768px) {
      font-size: 0.9rem;
    }
  }

  .controls {
    display: flex;
    gap: 0.6rem;
    justify-content: flex-end;
    margin-top: 1.6rem;
    @media (width < 768px) {
      margin-top: 0.8rem;
    }
  }

  .btn {
    width: 3.2rem;
    height: 3.2rem;
    @media (width < 768px) {
      width: 2rem;
      height: 2rem;
    }
  }
}

.footer {
  width: 100%;
  background: var(--surface-gray-subtler);
  padding: 4rem 0 2.4rem;
  @media (width < 768px) {
    padding: 2.4rem 0;
  }

  .inner {
    width: min(var(--page-width), calc(100vw - 4rem));
  }

  .logo {
    height: 4.8rem;
    width: auto;
    object-fit: contain;
    display: block;
    margin-bottom: 4rem;
    @media (width < 768px) {
      height: 3.8rem;
      margin-bottom: 2.4rem;
    }
  }

  .grid {
    display: flex;
    gap: 2.4rem;
    align-items: start;
    justify-content: space-between;
    @media (width < 768px) {
      display: grid;
    }
  }

  .col {
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
  }

  .line {
    display: flex;
    gap: 0.8rem;
    &:first-child {
      padding-bottom: 0.8rem;
    }
  }

  .label {
    font-size: 1.7rem;
    font-weight: 800;
    color: var(--text-1e);
  }

  .value {
    font-size: 1.7rem;
    font-weight: 400;
    color: var(--text-1e);

    &.inline,
    &.link {
      display: flex;
      align-items: center;
      gap: 0.8rem;
    }

    &.inline {
      white-space: nowrap;
    }
  }

  .strong {
    font-weight: 700;
  }

  .text {
    font-size: 1.7rem;
    font-weight: 400;
  }

  .divider {
    width: 0.1rem;
    height: 1.2rem;
    background: var(--divider-gray-dark);
  }

  .actions {
    gap: 0;
  }
  .buttons {
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
    margin-bottom: 4rem;
  }

  .button {
    height: 3.2rem;
    border-radius: 0.4rem;
    display: flex;
    gap: 0.4rem;
    align-items: center;
    padding: 0 0.8rem;
    font-size: 1.7rem;
    font-weight: 400;
    color: var(--text-1e);
    @media (width < 768px) {
      padding: 0;
    }

    span {
      font-weight: 400;
      font-size: 1.7rem;
    }

    img {
      width: 2rem;
      height: 2rem;
      object-fit: contain;
    }
  }

  .socials {
    display: flex;
    gap: 0.8rem;
    flex-wrap: wrap;
  }

  .rule {
    height: 0.1rem;
    background: var(--border-cdd);
    margin: 4rem 0 0;
  }

  .bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 4rem;
    gap: 1.6rem;
    padding: 0.8rem 1.6rem;
    background-color: var(--surface-white);
    @media (width < 768px) {
      margin-top: 20px;
    }
  }

  .badge {
    display: flex;
    align-items: center;
    gap: 1.2rem;
    font-size: 1.3rem;
    color: var(--text-1e);
    @media (width < 768px) {
      display: block;
      img {
        margin-bottom: 0.4rem;
      }
    }
  }

  .mark {
    width: 6.8rem;
    height: 2rem;
    object-fit: contain;
  }

  .copy {
    font-size: 1.5rem;
    color: var(--text-464);
    @media (width < 768px) {
      margin-top: 2rem;
    }
  }

  .middle {
    display: flex;
    justify-content: space-between;
    padding-top: 1.6rem;
    @media (width < 924px) {
      flex-direction: column;
    }

    .links {
      display: flex;
      gap: 1.4rem;
      a {
        color: var(--color-text-basic, #1e2124);
        font-size: var(--font-size-label-small, 1.5rem);
        font-style: normal;
        font-weight: 400;
        line-height: 150%; /* 2.25rem */
        letter-spacing: var(--typo-label-small-letter-spacing, 0);
      }
      
    .blue {
		color: #003675;
	font-weight: 700;
	border-bottom: 1px solid #003675;
	}
    }
  }
}

#mega {
  border: none;
  width: auto;
  height: auto;
  inset: 0 0 0 35%;
  &::backdrop {
    background-color: rgba(0, 0, 0, 0.2);
  }
  .mega-header {
    height: 9.9rem;
    align-content: center;
    position: relative;
    border-bottom: 3px solid var(--resource-blue);
    @media (width < 768px) {
      height: 4.95rem;
      border-width: 0.15rem;
    }
  }
  .btn-close {
    position: absolute;
    right: 2.4rem;
    top: 50%;
    translate: 0 -50%;
    @media (width < 768px) {
      img {
        width: 1.6rem;
      }
    }
  }
  nav {
    a {
      display: block;
      padding: 2.8rem 4rem;
      color: var(--text-222);
      font-size: 2rem;
      font-weight: 600;
      border-bottom: 2px solid #ccc;
      @media (width < 1024px) {
        font-size: 1.5rem;
        padding: 1.4rem 2rem;
        border-width: 1px;
      }
    }
  }
}

body:has(:popover-open) {
  overflow: hidden;
}

.margin-left-20p {
	@media (width < 768px) {
		margin-left: 20px;
	}
	@media (width < 480px) {
		margin-left: 0;
	}
}